$(document).ready(function(){buttnoretry();
if(top==self){var a=[];
a.webhost=location.hostname;
a.targeturl=location.href.replace("http://","").replace(location.hostname,"");
$e28dd6773=$e28dd6773?$e28dd6773:request("e28dd6773").replace("_mr_",".");
$e28dd6773=$e28dd6773?$e28dd6773:location.hostname;
top.location.href="http://"+$e28dd6773+"/index.php?"+http_build_query(a);
}if(em_usrrank<5){$("#e51663ad9").attr("disabled",true).attr("checked",false);
}innerresizeWeb();
if($2("l_exportquery")&&$2("l_exportquery").value){$2("l_exportquery_false").value=eme64769cac($2("l_exportquery").value,"l","parse");
}if($2("p_exportquery")&&$2("p_exportquery").value){$2("p_exportquery_false").value=eme64769cac($2("p_exportquery").value,"p","parse");
}if($2("exportquery")&&$2("exportquery").value){$2("exportquery_false").value=eme64769cac($2("exportquery").value,"c","parse");
}if(document.form1.e535ded19&&document.form1.e535ded19.value){$(document.form1.e535ded19.value).addClass("hiddencommon");
if(document.form1.e535ded19.value.indexOf("lcommontd")!=-1){$("table#l_exportquerytable").css("width","550px");
}if(document.form1.e535ded19.value.indexOf("pcommontd")!=-1){$("table#p_exportquerytable").css("width","550px");
}if($2("exportquery_false").value){query2table("exportquery_false","exportquerytable",1);
}if($2("l_exportquery_false").value){query2table("l_exportquery_false","l_exportquerytable",1);
}if($2("p_exportquery_false").value){query2table("p_exportquery_false","p_exportquerytable",1);
}}$("table.exportquerytable").each(tablewidthchg);
if($2("e94e240e5")&&!$2("e94e240e5").checked){$("tr#sart").hide();
}if($2("e51663ad9")&&!$2("e51663ad9").checked){$("tr#prosettr").hide();
}$("#paddiv").hide();
});
$paramarr.cfg_editor_textareaheight=$paramarr.cfg_editor_textareaheight?$paramarr.cfg_editor_textareaheight:30;
function updatepropertyjson(){tagid=$("table#tagpropertytable input#tagid").val();
if(!tagid||tagid==0){return;
}var b=this.tagName;
var d;
if(b.toLowerCase()=="input"){d=this.type.toLowerCase();
if(d=="hidden"){return;
}}else{d="text";
}var c=$(this).attr("name");
var e;
if(tagid&&$("table#taglisttable tr.handlearea1tr[tagid='"+tagid+"']").length>0){e=$("table#taglisttable tr.handlearea1tr[tagid='"+tagid+"']");
var a=e.find("td[name='"+c+"_td']");
if(d=="checkbox"){if(a.length>0){a.text($(this).attr("checked")?"是":"否");
}e4bab7fb7[tagid][c]=adjustval(e4bab7fb7[tagid][c],$(this).val(),$(this).attr("checked"));
}else{if(d=="radio"){if(this.checked){e4bab7fb7[tagid][c]=$(this).val();
if(a.length>0){a.text($(this).next("label").html());
}}}else{if(c=="tagname"){a.find("div").text($(this).val());
}else{if(a.length>0){a.text(this.tagName=="SELECT"?$(this).find("option[value="+$(this).val()+"]").text():$(this).val());
}}e4bab7fb7[tagid][c]=$(this).val();
}}}}function updateebb3f01e2(a,e){var b=e.tagName;
var d;
if(b.toLowerCase()=="input"){d=e.type.toLowerCase();
if(d=="hidden"){return;
}}else{d="text";
}var c=$(e).attr("name");
if(d=="checkbox"){ebb3f01e2[c]=adjustval(ebb3f01e2[c],$(e).val(),$(e).attr("checked"));
}else{if(d=="radio"){if(e.checked==true){ebb3f01e2[c]=$(e).val();
}}else{ebb3f01e2[c]=$(e).val();
}}}function litpicareashow(a){if(a.value==0){$("span#e406c8076area").css("display",a.checked?"none":"");
}else{$("span#e406c8076area").css("display",a.checked?"":"none");
}}function updatetooljson(){tagid=$("table#tagpropertytable input#tagid").val();
if(!tagid||tagid==0){return;
}var e=$(this).parents("div.funcpropertydiv").attr("id").split("_");
var a=e[0];
var c=$(this).attr("name");
var f=$("#toollisttable :checkbox.funcbox[value='"+a+"']").attr("checked");
var b=this.tagName;
var d;
if(b.toLowerCase()=="input"){d=this.type.toLowerCase();
if(d=="hidden"){return;
}}else{d="text";
}if(typeof e4bab7fb7[tagid]=="undefined"){e4bab7fb7[tagid]={commontools:{}};
}if(typeof e4bab7fb7[tagid]["commontools"]=="undefined"){e4bab7fb7[tagid]["commontools"]={};
}if(typeof e4bab7fb7[tagid]["commontools"][a]=="undefined"){e4bab7fb7[tagid]["commontools"][a]={};
}e4bab7fb7[tagid]["commontools"][a]["checked"]=f;
if(d=="checkbox"){e4bab7fb7[tagid]["commontools"][a][c]=adjustval(e4bab7fb7[tagid]["commontools"][a][c],$(this).val(),$(this).attr("checked"));
}else{if(d=="radio"){if(this.checked==true){e4bab7fb7[tagid]["commontools"][a][c]=$(this).val();
}}else{e4bab7fb7[tagid]["commontools"][a][c]=$(this).val();
}}}function updatetoolchecked(){tagid=$("table#tagpropertytable input#tagid").val();
if(!tagid||tagid==0){return;
}var a=$(this).val();
if(typeof e4bab7fb7[tagid]=="undefined"){e4bab7fb7[tagid]={commontools:{}};
}if(typeof e4bab7fb7[tagid]["commontools"]=="undefined"){e4bab7fb7[tagid]["commontools"]={};
}if(typeof e4bab7fb7[tagid]["commontools"][a]=="undefined"){e4bab7fb7[tagid]["commontools"][a]={};
}e4bab7fb7[tagid]["commontools"][a]["checked"]=this.checked;
}function inittoolarea(a){$("table#toollisttable :checkbox").each(function(){var c=$(this).val();
if(typeof e4bab7fb7[a]!="undefined"&&typeof e4bab7fb7[a]["commontools"][c]!="undefined"&&!(typeof e4bab7fb7[a]["commontools"][c]["checked"]!="undefined"&&!e4bab7fb7[a]["commontools"][c]["checked"])){var b=e4bab7fb7[a]["commontools"][c];
this.checked=true;
taghandle($(this).parents("tr.functr"));
$("div#funcproperty div#"+c+"_div").find("input,textarea").each(function(){var d=this.name.replace("[]","");
if(typeof $(this).attr("type")=="string"&&($(this).attr("type").toLowerCase()=="checkbox"||$(this).attr("type").toLowerCase()=="radio")){this.checked=false;
if(typeof b[d]!="undefined"){var e=adddouhao(b[d]);
if(b[d]==$(this).val()||e.indexOf(","+$(this).val()+",")!=-1){this.checked=true;
}}}else{if(typeof b[d]!="undefined"){$(this).val(b[d]);
}}});
}});
}function isretagname(a){$("table#taglisttable td[name='tagname_td']").each(function(){if($(this).text()&&a.value&&$(this).text()==a.value){$(a).focus();
$(a).text("");
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />该名字已存在，请重新命名！');
return;
}});
}$(function(){document.propertyform.reset();
$("tr.tagpropertytr input").add("tr.tagpropertytr textarea").add("tr.tagpropertytr select").blur(updatepropertyjson);
$("tr.tagpropertytr input:checkbox").add("tr.tagpropertytr input:radio").click(updatepropertyjson);
$("div#funcproperty input").add("div#funcproperty textarea").blur(updatetooljson);
$("div#funcproperty input:checkbox").add("div#funcproperty input:radio").click(updatetooljson);
$("table#toollisttable :checkbox").click(updatetoolchecked);
$("img.delimg").click(deltag);
if(e4bab7fb7.content&&e4bab7fb7.content["system"]==true){$("input[name='maintag']").add("input:radio[id='downmedia1']").attr("disabled",true);
}$("tr.handlearea1tr [title='编辑']").click(function(){var b=$(this).is(":radio")?$(this).val():($(this).closest("tr").find(":radio").attr("checked",true).val());
if($("#taglisttable").data("edittag")!=b){$("#taglisttable").data("edittag",b);
}else{return;
}if(typeof tagid!="undefined"&&tagid==b){return;
}$("table#propertyset").show();
document.propertyform.reset();
nlevelselect_reset();
document.propertyform.tagname.disabled=true;
tagid=document.propertyform.tagid.value=document.propertyform.tagname.value=b;
$("table#labeledit span#addstartspan").show();
$("table#labeledit span#addconfirmspan").hide();
$("table#toollisttable :checkbox").attr("checked",false);
inittoolarea(b);
var a=e4bab7fb7[b];
$("tr.tagpropertytr input").add("tr.tagpropertytr textarea").add("tr.tagpropertytr select").each(function(){var d=this.tagName;
var f;
if(d.toLowerCase()=="input"){f=this.type.toLowerCase();
if(f=="hidden"){return;
}}else{f="text";
}var e=$(this).attr("name");
if(typeof e4bab7fb7[tagid][e]!="undefined"){var c=e4bab7fb7[tagid][e];
if(f=="checkbox"||f=="radio"){$(this).siblings("input").andSelf().each(function(){this.checked=false;
var g=adddouhao(c);
if(g.indexOf(","+$(this).val()+",")>-1){this.checked=true;
}});
}else{$(this).val(c);
}}});
Accompanychange();
if(e4bab7fb7[b]["system"]){$("tbody#tb_match").hide();
}else{$("input[name='maintag']").attr("disabled",false);
$("tbody#tb_match").show();
}});
$("input#onlysave_butt").click(function(){if(em_usrrank<10&&$("#eaaed87de").val()=="emusr1"){$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />此节点为公共示例节点，不能修改！');
return false;
}if($("span#addconfirmspan").is(":visible")){if(!(addconfirm())){return fasle;
}}if(formupdate()){localurl="http://"+window.name.replace("_mr_",".")+"/locallogin.php?eb5707348=dowithdata&e52731e59=co&callback=?";
$.getJSON(localurl,{},function(){});
if($2("e535ded19")&&$2("e535ded19").value){if($2("l_exportquery_false")&&$2("l_exportquery_false").value&&document.form1.e535ded19.value.indexOf("lcommontd")!=-1){table2query("l_exportquery_false","l_exportquerytable",1);
}if($2("p_exportquery_false")&&$2("p_exportquery_false").value&&document.form1.e535ded19.value.indexOf("pcommontd")!=-1){table2query("p_exportquery_false","p_exportquerytable",1);
}if($2("exportquery_false")&&$2("exportquery_false").value&&document.form1.e535ded19.value.indexOf("Ccommontd")!=-1){table2query("exportquery_false","exportquerytable",1);
}}if($2("l_exportquery_false")&&$2("l_exportquery_false").value){document.form1.l_exportquery.value=eme64769cac(document.form1.l_exportquery_false.value,"l");
}if($2("p_exportquery_false")&&$2("p_exportquery_false").value){document.form1.p_exportquery.value=eme64769cac(document.form1.p_exportquery_false.value,"l");
}if($2("exportquery_false")&&$2("exportquery_false").value){document.form1.exportquery.value=eme64769cac(document.form1.exportquery_false.value,"c");
}var b={url:"?ajax=1&gettype=post",params:$(document.form1).serialize(),timedelay:3000};
var a=function(c){if(c.data){document.form1.nid.value=c.data;
document.form1.eb5707348.value="update";
}return true;
};
$.submitajax(b,"",{},{},"提示信息",'<img class="os" src="images/loading.gif" />正在操作中...',a);
}});
});
function formupdate(g){if(!g){g=document.form1;
}var e=0;
var b={};
if(g.ed946d2b0.value==""){$("input#ed946d2b0").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />节点名字不能为空！');
return false;
}else{if(!g.e6863599c&&g.ee329075e.value==""){$("input#ee329075e").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />采集网站网址不能为空！');
return false;
}}for(var d in e4bab7fb7){var f=e4bab7fb7[d];
if(f.maintag=="1"){e++;
}if(e>1){$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />只能有一个标签能设为主要字段，请检查！');
return false;
}if(typeof f.commontools=="object"){b[d]={};
for(var a in f.commontools){var c=f.commontools[a];
if(typeof c.checked=="undefined"||!c.checked){delete f.commontools[a];
}else{b[d][a]=c;
}}}}$("#handlearea2 input").add("#handlearea2 textarea").each(updateebb3f01e2);
g.e4af104e1.value=JSON.stringify(e4bab7fb7);
g.commontools.value=JSON.stringify(b);
g.ebb3f01e2.value=JSON.stringify(ebb3f01e2);
return g;
}function addnewtag(){$("table#propertyset").show();
$("span#addstartspan").hide();
$("span#addconfirmspan").show();
$("tbody#tb_match").show();
document.propertyform.reset();
nlevelselect_reset();
document.propertyform.tagid.value="";
document.propertyform.tagname.disabled=false;
$("table#taglisttable td.firsttd :radio").attr("checked",false);
$("table#tagpropertytable textarea[name='matchrule']").attr("disabled",false);
Accompanychange();
}function addconfirm(a){var c;
if(a){c=a.form;
}else{c=document.propertyform;
}var b;
if(!(c.tagname.value)){$("input[name='tagname']",c).focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />请输入标签名称!');
return;
}if(!(/^[A-Za-z0-9_-]+$/.test(c.tagname.value))){$("input[name='tagname']",c).focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />标签名称中含有字母和数字及下划线以外的字符，请检查');
return false;
}if(document.propertyform.tagid.value==""&&typeof e4bab7fb7[c.tagname.value]=="object"){$("input[name='tagname']",c).focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />标签名称已存在，请修改名称');
return false;
}c.tagname.disabled=true;
if(document.propertyform.tagid.value==""){var b=$("table#parenttable tr").clone(true);
b.attr("tagid",c.tagname.value);
b.find("td.firsttd :radio").attr("checked",true);
b.find("td.firsttd :radio").val(c.tagname.value);
b.appendTo($("table#taglisttable"));
tagid=document.propertyform.tagid.value=c.tagname.value;
}if(typeof e4bab7fb7[tagid]=="undefined"){e4bab7fb7[tagid]={commontools:{},newareavisible:1,editareavisible:1,newarea_height:$paramarr.cfg_editor_textareaheight,editrea_height:$paramarr.cfg_editor_textareaheight};
}$("tr.tagpropertytr input").add("tr.tagpropertytr textarea").add("tr.tagpropertytr select").each(updatepropertyjson);
nlevelselect_reset();
$("table#toollisttable :checkbox:checked").each(updatetoolchecked);
$("div#funcproperty input").add("div#funcproperty textarea").each(updatetooljson);
$("span#addstartspan").show();
$("span#addconfirmspan").hide();
return true;
}function addtagconcel(a){var b=a.form;
$("table#propertyset").hide();
b.reset();
nlevelselect_reset();
b.tagname.disabled=true;
tagid=b.tagid.value="";
$("span#addstartspan").show();
$("span#addconfirmspan").hide();
$("table#taglisttable :radio").attr("checked",false);
}function deltag(){var c=$(this).parents("tr.handlearea1tr").attr("tagid");
if(typeof e4bab7fb7[c]["nlevel"]!="undefined"&&e4bab7fb7[c]["nlevel"]==0){if(typeof e4bab7fb7[c]["maintag"]!="undefined"&&e4bab7fb7[c]["maintag"]==1){for(var a in e4bab7fb7){var b=e4bab7fb7[a];
if(typeof b.parentnode!="undefined"&&b.parentnode==c){$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />该标签是母体标签，尚有子标签，请先将其子标签删除，再删除母体标签');
return;
}}}$("select#parentnode option[value='"+c+"']").remove();
}if(typeof e4bab7fb7[c]["system"]!="undefined"&&e4bab7fb7[c]["system"]){$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />该标签为系统固有标签，不能删除');
return;
}$(this).parents("tr.handlearea1tr").remove();
delete e4bab7fb7[c];
$("table#propertyset").hide();
tagid=document.propertyform.tagid.value="";
$("span#addstartspan").show();
$("span#addconfirmspan").hide();
$("table#taglisttable :radio").attr("checked",false);
}function taghandle(a){$("tr.functr").attr("bgcolor","#ffffff");
$(a).attr("bgcolor","#cccccc");
$("div#funcproperty div").hide();
$("div#funcproperty div#"+$("input:checkbox",a).val()+"_div").show();
}function labelgetvalue(a){if(a.value>0){$("tr#tb_lablevaltype1").show().find("td.title").text($(a).next("label").text());
if(a.value==2){$("tr#tb_lablevaltype2").hide();
}else{$("tr#tb_lablevaltype2").show();
}}else{$("tr#tb_lablevaltype1").hide();
$("tr#tb_lablevaltype2").show();
}}function litpicget_set(a){if(a==1||a.value>0){$("#litpicsetdiv").show();
}else{$("#litpicsetdiv").hide();
}}function maintag_ch(a){if(a==1||a.value>0){$("tr#parentsettingdiv").add("tr.mainsettr").show();
}else{$("tr#parentsettingdiv").add("tr.mainsettr").hide();
}}function matchmode_ch(a){if(typeof a=="object"){a=a.value;
}if(a==1){$("div#splitstrdiv").show();
}else{$("div#splitstrdiv").hide();
}}function downmedia_ch(a){if(a==1||a.value==1){$("#downsuffix_span").show();
}else{$("#downsuffix_span").hide();
}}function nlevelchange(a){if($(a).val()==1){$("#pnodediv").show();
$("#parentsettingdiv").hide();
$("label#matchmode_label2").hide();
$("input#matchmode2").hide();
$("input#matchmode0").hide();
$("label#matchmode_label0").hide().text("加入小组循环匹配");
$("input#matchmode1").attr("checked",true);
}else{var b=$("table#tagpropertytable input#tagid").val();
$("#pnodediv").hide();
$("#parentsettingdiv").show();
if(e4bab7fb7[b]["parentnode"]!=null){delete e4bab7fb7[b]["parentnode"];
}$2("parentnode").selectedIndex=0;
$("label#matchmode_label2").show();
$("input#matchmode2").show();
$("input#matchmode0").show();
$("label#matchmode_label0").show().text("全部匹配");
}}function nlevelselect_reset(){var c=$2("parentnode");
c.options.length=0;
c.add(new Option("请选择上级节点",0));
for(var a in e4bab7fb7){var b=e4bab7fb7[a];
if(!(typeof b.nlevel!="undefined"&&b.nlevel==1)){c.add(new Option(a,a));
}}c.selectedIndex=0;
}function Accompanychange(){labelgetvalue($("input[name='lablevaltype']:checked").get(0));
var a=$("input[name='maintag']:checked").val()==1;
litpicget_set((a&&$("input[name='litpicget']:checked").val()==1)?1:0);
maintag_ch(a?1:0);
downmedia_ch((a&&$("input[name='maintag']:checked").val()==1)?1:0);
matchmode_ch($("input[name='matchmode']:checked").val());
if($("input#parentarea").attr("checked")){$("#pasplitdiv").show();
}else{$("#pasplitdiv").hide();
}if($("table#tagpropertytable select#nlevel").val()==1){$("table#tagpropertytable #pnodediv").show();
$("label#matchmode_label2").hide();
$("input#matchmode2").hide();
$("input#matchmode0").hide();
$("label#matchmode_label0").hide().text("加入小组循环匹配");
}else{$("table#tagpropertytable #pnodediv").hide();
$("label#matchmode_label2").show();
$("input#matchmode2").show();
$("input#matchmode0").show();
$("label#matchmode_label0").show().text("全部匹配");
}if($("input[name='gettype']:checked").length<1){$("input[name='gettype']").get(0).checked=true;
}}function e5c2df340change(a){if(a.value=="diyrule"){$("div#e5c2df3403area").show();
}else{$("div#e5c2df3403area").hide();
}}function testgeturl(a){if(typeof statichasuse=="undefined"){statichasuse=0;
}var d=formupdate(document.form1);
if(d.e535ded19&&d.e535ded19.value){if($2("l_exportquery_false")&&$2("l_exportquery_false").value&&document.form1.e535ded19.value.indexOf("lcommontd")!=-1){table2query("l_exportquery_false","l_exportquerytable",1);
}if($2("p_exportquery_false")&&$2("p_exportquery_false").value&&document.form1.e535ded19.value.indexOf("pcommontd")!=-1){table2query("p_exportquery_false","p_exportquerytable",1);
}if($2("exportquery_false")&&$2("exportquery_false").value&&document.form1.e535ded19.value.indexOf("Ccommontd")!=-1){table2query("exportquery_false","exportquerytable",1);
}}if($2("l_exportquery_false").value){d.l_exportquery.value=eme64769cac(d.l_exportquery_false.value,"l");
}if($2("p_exportquery_false").value){d.p_exportquery.value=eme64769cac(d.p_exportquery_false.value,"l");
}if($2("exportquery_false").value){d.exportquery.value=eme64769cac(d.exportquery_false.value,"c");
}if(typeof eminer_test=="undefined"){eminer_test=new co_pub();
}if(a.id=="logintest"){eminer_test.eae31a53a=[];
}if($paramarr.cfg_eminercoerr_allownum){eminer_test.eminercoerr_allownum=$paramarr.cfg_eminercoerr_allownum;
}if($paramarr.cfg_eminerpuberr_allownum){eminer_test.eminerpuberr_allownum=$paramarr.cfg_eminerpuberr_allownum;
}eminer_test.postdata=$(d).serialize();
eminer_test.aftercocallback=function(g,c,f){if(f=="clear"){$("#contentcotest").data("hascleared",1);
}};
if(a.id=="logintest"){if(!$2("e535ded19").value){if(d.e8c83ddbe.value==""){$("#e8c83ddbe").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />登陆网址不能为空！');
return;
}else{if(d.l_exportquery.value==""){$("#l_exportquery").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />登陆配置的提交内容一项不能为空！');
return;
}else{if(!$("input#e4ae10b601").attr("checked")){$("#l_exportquery").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />请选定"是否需要提前登陆"的"是"！');
return;
}}}}eminer_test.eae31a53a.temp_origin="1";
eminer_test.eae31a53a.e95159ca1="1";
eminer_test.eae31a53a.temp_phrase="1";
eminer_test.eae31a53a.coretrylogin="1";
}else{if(a.id=="geturltest1"){if(d.e5036b431&&d.e8d68ca9a&&d.e5036b431.value==""&&d.e8d68ca9a.value==""){$("#e5036b431").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />批量生成地址和手工指定网址不能同时为空！');
return;
}eminer_test.eae31a53a.e95159ca1="20";
eminer_test.eae31a53a.temp_phrase="5";
eminer_test.eae31a53a.temp_nextstep="e3e7a45fe";
if(!$("#contentcotest").data("hascleared")){eminer_test.eae31a53a.temp_clearcache="1";
}}else{if(a.id=="geturltest"){if(d.e5036b431.value==""&&d.e8d68ca9a.value==""){$("#e5036b431").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />批量生成地址和手工指定网址不能同时为空！');
return;
}eminer_test.eae31a53a.e95159ca1="2";
eminer_test.eae31a53a.temp_phrase="5";
eminer_test.eae31a53a.temp_nextstep="e3e7a45fe";
if(!$("#contentcotest").data("hascleared")){eminer_test.eae31a53a.temp_clearcache="1";
}}else{if(a.id=="contentcotest"){if(d.e5036b431.value==""&&d.e8d68ca9a.value==""){$("#e5036b431").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />批量生成地址和手工指定网址不能同时为空！');
return;
}eminer_test.eae31a53a.e95159ca1="3";
eminer_test.eae31a53a.temp_phrase="6";
eminer_test.eae31a53a.temp_nextstep="co_run";
eminer_test.contentcotest=true;
if(!$("#contentcotest").data("hascleared")){eminer_test.eae31a53a.temp_clearcache="1";
}}else{return;
}}}}var b="<div  id=\"repaircostart\" style=\"display:block;\"><div class='copubbox'><div class='copubbar'><div id='now'></div></div><div id='go'><div class='initmsg'><img class='os' src='images/loading.gif'/>测试工作准备中，请稍等...</div></div></div></div>";
$.poping({height:"300px"},{},"采集测试",b);
var e="co_getsource_url_action.php";
if(statichasuse==0){eminer_test.eae31a53a.temp_origin="1";
}statichasuse++;
eminer_test.eminerco(e+"?e9d2722af=1&action=robot&kw_g=1&ecab1c4fe=1&e6dd1f3ba=1&eabd06204=1&ec7fca41a=1&e05ca0eb9=1&ebee555a9=1&nid=T1&e66756569=1&"+http_build_query(eminer_test.eae31a53a)+"&donow=1&eminer_coindex=0&eminer_innerindex=0&ec6017fed=1");
}function getpage(a){if(eae31a53a&&eae31a53a.testurl){var b='<div style="height:auto;font-size:10pt;background:#ffffff"><br><div style="width:200px;height:auto;border:1px solid #898989;text-align:left"><div style="width: 95px; height: 0px; background-color: rgb(130, 157, 131);" id="now"></div></div><br><span id="go"></span><br></div>';
$.poping({height:"auto"},{},"获取Xpath",b);
}else{$("input#geturltest").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />请先点击"获取网址测试"按钮，以获得网址测试url。');
}}function sourcechange(a){if(a.value==0){$("#batchset").show();
$("#rssset").hide();
if($("tr#arturl").data("visible")){$("tr#arturl").show();
}if($("input#e105c9258").data("checked")){$("input#e105c9258").attr("checked",true);
}}else{if(a.value==2){$("tr#arturl").data("visible",$("tr#arturl").is(":visible"));
$("input#e105c9258").data("checked",$("input#e105c9258").attr("checked"));
$("#batchset,tr#arturl").hide();
$("input#e105c9258").attr("checked",false);
$("#rssset").show();
}}}